OpenNMS API 1.2.9

## org.opennms.netmgt.vulnscand
Class NessusConnectionFactory

    java.lang.Object
      org.opennms.netmgt.vulnscand.NessusConnectionFactory

class NessusConnectionFactory
extends java.lang.Object

Constructor Summary
`(package private)` `NessusConnectionFactory()`

Method Summary
`static java.net.Socket` `getConnection(java.net.InetAddress hostname, int hostport)`
`static void` `releaseConnection(java.net.Socket socket)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NessusConnectionFactory

    NessusConnectionFactory()

Method Detail

### getConnection

    public static java.net.Socket getConnection(java.net.InetAddress hostname,
                                                int hostport)

### releaseConnection

    public static void releaseConnection(java.net.Socket socket)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.